Rensei docs

Load a credential set with its members, health and usage.

Load a credential set with its members, health and usage. - Rensei REST API operation reference.

GET
/api/org/{orgId}/credential-sets/{setId}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

setId*string

Credential set id (cset_*).

Response Body

The set, its members with liveness, the health summary, and usage (null when the usage read failed).

application/json
  1. response
set*
members*array<>
health*
usage*|null
Example Request
curl -X GET 'https://app.rensei.ai/api/org/string/credential-sets/string'
Example Response
{  "set": {    "id": "string",    "orgId": "string",    "projectId": "string",    "visibleToProjectIds": [      "string"    ],    "name": "string",    "description": "string",    "createdBy": "string",    "createdAt": "string",    "updatedAt": "string",    "deletedAt": "string",    "property1": null,    "property2": null  },  "members": [    {      "memberId": "string",      "credentialId": "string",      "envVarName": "string",      "credentialName": "string",      "credentialKind": "string",      "credentialDeleted": true,      "credentialState": "live",      "revokedAt": "string",      "expiresAt": "string",      "lastRotatedAt": "string",      "refreshAt": "string",      "createdBy": "string",      "property1": null,      "property2": null    }  ],  "health": {    "total": 0,    "live": 0,    "revoked": 0,    "expired": 0,    "deleted": 0,    "healthy": true,    "property1": null,    "property2": null  },  "usage": {    "setId": "string",    "workflows": [      {        "property1": null,        "property2": null      }    ],    "projectDefaults": [      {        "property1": null,        "property2": null      }    ],    "hiddenReferenceCount": 0,    "inUse": true,    "property1": null,    "property2": null  }}